

# API Reference
<a name="api-reference"></a>

The API operations in the Account Management (`account`) namespace enable you to modify your AWS account.

Every AWS account supports metadata with information about the account, including information about up to three alternate contacts associated with the account. These are in addition to the email address associated with the [root user](root-user.md) of the account. You can specify only one of each of the following contact types associated with an account.
+ Billing contact
+ Operations contact
+ Security contact

By default, the API operations discussed in this guide apply directly to the account that calls the operation. The [identity](https://docs.aws.amazon.com/IAM/latest/UserGuide/id.html) in the account that is calling the operation is typically an IAM role or IAM user and must have permission applied by an IAM policy to call the API operation. Alternatively, you can call these API operations from an identity in an AWS Organizations management account and specify the account ID number for any AWS account that is a member of the organization.

 **API version** 

This version of the Accounts API Reference documents the Account Management API version 2021-02-01.

**Note**  
As an alternative to using the API directly, you can use one of the AWS SDKs, which consist of libraries and sample code for various programming languages and platforms (Java, Ruby, .NET, iOS, Android, and more). The SDKs provide a convenient way to create programmatic access to AWS Organizations. For example, the SDKs take care of cryptographically signing requests, managing errors, and retrying requests automatically. For more information about the AWS SDKs, including how to download and install them, see [Tools for Amazon Web Services](https://console.aws.amazon.com/).

We recommend that you use the AWS SDKs to make programmatic API calls to the Account Management service. However, you also can use the Account Management Query API to make direct calls to the Account Management web service. To learn more about the Account Management Query API, see [Calling the API by making HTTP Query requests](query-requests.md) in the Account Management User Guide. Organizations supports GET and POST requests for all actions. That is, the API does not require you to use GET for some actions and POST for others. However, GET requests are subject to the limitation size of a URL. Therefore, for operations that require larger sizes, use a POST request.

**Signing requests**

When you send HTTP requests to AWS, you must sign the requests so that AWS can identify who sent them. You sign requests with your AWS access key, which consists of an access key ID and a secret access key. We strongly recommend that you do not create an access key for your root account. Anyone who has the access key for your root account has unrestricted access to all the resources in your account. Instead, create an access key for an IAM user that has administrative privileges. As another option, use AWS Security Token Service to generate temporary security credentials, and use those credentials to sign requests.

To sign requests, we recommend that you use Signature Version 4. If you have an existing application that uses Signature Version 2, you do not have to update it to use Signature Version 4. However, some operations now require Signature Version 4. The documentation for operations that require version 4 indicate this requirement. For more information, see [Signing AWS API requests](https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_aws-signing.html) in the *IAM User Guide*.

When you use the AWS Command Line Interface (AWS CLI) or one of the AWS SDKs to make requests to AWS, these tools automatically sign the requests for you with the access key that you specify when you configure the tools.

**Support and feedback for Account Management**

We welcome your feedback. Send your comments to [feedback-awsaccounts@amazon.com](mailto://feedback-awsaccounts@amazon.com) or post your feedback and questions in the [Account Management support forum](https://forums.aws.amazon.com/forum.jspa?forumID=219). For more information about the AWS support forums, see [Forums Help](https://forums.aws.amazon.com/help.jspa).

**How examples are presented**

The JSON returned by the Account Management as response to your requests is returned as a single long string without line breaks or formatting whitespace. Both line breaks and whitespace are shown in the examples in this guide to improve readability. When example input parameters also would result in long strings that would extend beyond the screen, we insert line breaks to enhance readability. You should always submit the input as a single JSON text string.

**Recording API Requests**

Account Management supports CloudTrail, a service that records AWS API calls for your AWS account and delivers log files to an Amazon S3 bucket. By using information collected by CloudTrail, you can determine which requests were successfully made to Account Management, who made the request, when it was made, and so on. For more about Account Management and its support for CloudTrail, see [Logging AWS Account Management API calls using AWS CloudTrail](monitoring-cloudtrail.md). To learn more about CloudTrail, including how to turn it on and find your log files, see the [AWS CloudTrail User Guide](https://docs.aws.amazon.com/awscloudtrail/latest/userguide/).

# Actions
<a name="API_Operations"></a>

The following actions are supported:
+  [AcceptPrimaryEmailUpdate](API_AcceptPrimaryEmailUpdate.md) 
+  [DeleteAlternateContact](API_DeleteAlternateContact.md) 
+  [DisableRegion](API_DisableRegion.md) 
+  [EnableRegion](API_EnableRegion.md) 
+  [GetAccountInformation](API_GetAccountInformation.md) 
+  [GetAlternateContact](API_GetAlternateContact.md) 
+  [GetContactInformation](API_GetContactInformation.md) 
+  [GetGovCloudAccountInformation](API_GetGovCloudAccountInformation.md) 
+  [GetPrimaryEmail](API_GetPrimaryEmail.md) 
+  [GetRegionOptStatus](API_GetRegionOptStatus.md) 
+  [ListRegions](API_ListRegions.md) 
+  [PutAccountName](API_PutAccountName.md) 
+  [PutAlternateContact](API_PutAlternateContact.md) 
+  [PutContactInformation](API_PutContactInformation.md) 
+  [StartPrimaryEmailUpdate](API_StartPrimaryEmailUpdate.md) 

# AcceptPrimaryEmailUpdate
<a name="API_AcceptPrimaryEmailUpdate"></a>

Accepts the request that originated from [StartPrimaryEmailUpdate](API_StartPrimaryEmailUpdate.md) to update the primary email address (also known as the root user email address) for the specified account.

## Request Syntax
<a name="API_AcceptPrimaryEmailUpdate_RequestSyntax"></a>

```
POST /acceptPrimaryEmailUpdate HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "Otp": "string",
   "PrimaryEmail": "string"
}
```

## URI Request Parameters
<a name="API_AcceptPrimaryEmailUpdate_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_AcceptPrimaryEmailUpdate_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_AcceptPrimaryEmailUpdate_RequestSyntax) **   <a name="accounts-AcceptPrimaryEmailUpdate-request-AccountId"></a>
Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
This operation can only be called from the management account or the delegated administrator account of an organization for a member account.  
The management account can't specify its own `AccountId`.
Type: String  
Pattern: `\d{12}`   
Required: Yes

 ** [Otp](#API_AcceptPrimaryEmailUpdate_RequestSyntax) **   <a name="accounts-AcceptPrimaryEmailUpdate-request-Otp"></a>
The OTP code sent to the `PrimaryEmail` specified on the `StartPrimaryEmailUpdate` API call.  
Type: String  
Pattern: `[a-zA-Z0-9]{6}`   
Required: Yes

 ** [PrimaryEmail](#API_AcceptPrimaryEmailUpdate_RequestSyntax) **   <a name="accounts-AcceptPrimaryEmailUpdate-request-PrimaryEmail"></a>
The new primary email address for use with the specified account. This must match the `PrimaryEmail` from the `StartPrimaryEmailUpdate` API call.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 64.  
Required: Yes

## Response Syntax
<a name="API_AcceptPrimaryEmailUpdate_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "Status": "string"
}
```

## Response Elements
<a name="API_AcceptPrimaryEmailUpdate_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Status](#API_AcceptPrimaryEmailUpdate_ResponseSyntax) **   <a name="accounts-AcceptPrimaryEmailUpdate-response-Status"></a>
Retrieves the status of the accepted primary email update request.  
Type: String  
Valid Values: `PENDING | ACCEPTED` 

## Errors
<a name="API_AcceptPrimaryEmailUpdate_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current status of the resource. For example, this happens if you try to enable a Region that is currently being disabled (in a status of DISABLING) or if you try to change an account’s root user email to an email address which is already in use.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 409

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The operation failed because it specified a resource that can't be found.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 404

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## See Also
<a name="API_AcceptPrimaryEmailUpdate_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/AcceptPrimaryEmailUpdate) 

# DeleteAlternateContact
<a name="API_DeleteAlternateContact"></a>

Deletes the specified alternate contact from an AWS account.

For complete details about how to use the alternate contact operations, see [Update the alternate contacts for your AWS account](https://docs.aws.amazon.com/accounts/latest/reference/manage-acct-update-contact-alternate.html).

**Note**  
Before you can update the alternate contact information for an AWS account that is managed by AWS Organizations, you must first enable integration between AWS Account Management and Organizations. For more information, see [Enable trusted access for AWS Account Management](https://docs.aws.amazon.com/accounts/latest/reference/using-orgs-trusted-access.html).

## Request Syntax
<a name="API_DeleteAlternateContact_RequestSyntax"></a>

```
POST /deleteAlternateContact HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "AlternateContactType": "string"
}
```

## URI Request Parameters
<a name="API_DeleteAlternateContact_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DeleteAlternateContact_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_DeleteAlternateContact_RequestSyntax) **   <a name="accounts-DeleteAlternateContact-request-AccountId"></a>
Specifies the 12 digit account ID number of the AWS account that you want to access or modify with this operation.  
If you do not specify this parameter, it defaults to the AWS account of the identity used to call the operation.  
To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account, and the specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/services-that-can-integrate-account.html) enabled for the Account Management service, and optionally a [delegated administrator](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`; it must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, then don't specify this parameter, and call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

 ** [AlternateContactType](#API_DeleteAlternateContact_RequestSyntax) **   <a name="accounts-DeleteAlternateContact-request-AlternateContactType"></a>
Specifies which of the alternate contacts to delete.   
Type: String  
Valid Values: `BILLING | OPERATIONS | SECURITY`   
Required: Yes

## Response Syntax
<a name="API_DeleteAlternateContact_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_DeleteAlternateContact_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_DeleteAlternateContact_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The operation failed because it specified a resource that can't be found.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 404

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## Examples
<a name="API_DeleteAlternateContact_Examples"></a>

### Example 1
<a name="API_DeleteAlternateContact_Example_1"></a>

The following example deletes the security alternate contact for the account whose credentials are used to call the operation. 

#### Sample Request
<a name="API_DeleteAlternateContact_Example_1_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.DeleteAlternateContact

{
   "AccountName":"MyAccount"
}
```

#### Sample Response
<a name="API_DeleteAlternateContact_Example_1_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
```

### Example 2
<a name="API_DeleteAlternateContact_Example_2"></a>

The following example deletes the billing alternate contact for the specified member account in an organization. You must use credentials from either the organization's management account or from the Account Management service's delegated admin account.

#### Sample Request
<a name="API_DeleteAlternateContact_Example_2_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.DeleteAlternateContact

{
   "AccountId":"123456789012",
   "AlternateContactType":"BILLING"
}
```

#### Sample Response
<a name="API_DeleteAlternateContact_Example_2_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
```

## See Also
<a name="API_DeleteAlternateContact_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/DeleteAlternateContact) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/DeleteAlternateContact) 

# DisableRegion
<a name="API_DisableRegion"></a>

Disables (opts-out) a particular Region for an account.

**Note**  
The act of disabling a Region will remove all IAM access to any resources that reside in that Region.

## Request Syntax
<a name="API_DisableRegion_RequestSyntax"></a>

```
POST /disableRegion HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "RegionName": "string"
}
```

## URI Request Parameters
<a name="API_DisableRegion_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DisableRegion_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_DisableRegion_RequestSyntax) **   <a name="accounts-DisableRegion-request-AccountId"></a>
Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. If you don't specify this parameter, it defaults to the Amazon Web Services account of the identity used to call the operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`. It must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, don't specify this parameter. Instead, call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

 ** [RegionName](#API_DisableRegion_RequestSyntax) **   <a name="accounts-DisableRegion-request-RegionName"></a>
Specifies the Region-code for a given Region name (for example, `af-south-1`). When you disable a Region, AWS performs actions to deactivate that Region in your account, such as destroying IAM resources in the Region. This process takes a few minutes for most accounts, but this can take several hours. You cannot enable the Region until the disabling process is fully completed.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Required: Yes

## Response Syntax
<a name="API_DisableRegion_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_DisableRegion_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_DisableRegion_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current status of the resource. For example, this happens if you try to enable a Region that is currently being disabled (in a status of DISABLING) or if you try to change an account’s root user email to an email address which is already in use.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 409

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## See Also
<a name="API_DisableRegion_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/DisableRegion) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/DisableRegion) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/DisableRegion) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/DisableRegion) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/DisableRegion) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/DisableRegion) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/DisableRegion) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/DisableRegion) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/DisableRegion) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/DisableRegion) 

# EnableRegion
<a name="API_EnableRegion"></a>

Enables (opts-in) a particular Region for an account.

## Request Syntax
<a name="API_EnableRegion_RequestSyntax"></a>

```
POST /enableRegion HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "RegionName": "string"
}
```

## URI Request Parameters
<a name="API_EnableRegion_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_EnableRegion_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_EnableRegion_RequestSyntax) **   <a name="accounts-EnableRegion-request-AccountId"></a>
Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. If you don't specify this parameter, it defaults to the Amazon Web Services account of the identity used to call the operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`. It must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, don't specify this parameter. Instead, call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

 ** [RegionName](#API_EnableRegion_RequestSyntax) **   <a name="accounts-EnableRegion-request-RegionName"></a>
Specifies the Region-code for a given Region name (for example, `af-south-1`). When you enable a Region, AWS performs actions to prepare your account in that Region, such as distributing your IAM resources to the Region. This process takes a few minutes for most accounts, but it can take several hours. You cannot use the Region until this process is complete. Furthermore, you cannot disable the Region until the enabling process is fully completed.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Required: Yes

## Response Syntax
<a name="API_EnableRegion_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_EnableRegion_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_EnableRegion_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current status of the resource. For example, this happens if you try to enable a Region that is currently being disabled (in a status of DISABLING) or if you try to change an account’s root user email to an email address which is already in use.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 409

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## See Also
<a name="API_EnableRegion_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/EnableRegion) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/EnableRegion) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/EnableRegion) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/EnableRegion) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/EnableRegion) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/EnableRegion) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/EnableRegion) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/EnableRegion) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/EnableRegion) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/EnableRegion) 

# GetAccountInformation
<a name="API_GetAccountInformation"></a>

Retrieves information about the specified account including its account name, account ID, and account creation date and time. To use this API, an IAM user or role must have the `account:GetAccountInformation` IAM permission. 

## Request Syntax
<a name="API_GetAccountInformation_RequestSyntax"></a>

```
POST /getAccountInformation HTTP/1.1
Content-type: application/json

{
   "AccountId": "string"
}
```

## URI Request Parameters
<a name="API_GetAccountInformation_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetAccountInformation_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_GetAccountInformation_RequestSyntax) **   <a name="accounts-GetAccountInformation-request-AccountId"></a>
Specifies the 12 digit account ID number of the AWS account that you want to access or modify with this operation.  
If you do not specify this parameter, it defaults to the AWS account of the identity used to call the operation.  
To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account, and the specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/services-that-can-integrate-account.html) enabled for the Account Management service, and optionally a [delegated administrator](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`; it must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, then don't specify this parameter, and call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

## Response Syntax
<a name="API_GetAccountInformation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AccountCreatedDate": "string",
   "AccountId": "string",
   "AccountName": "string"
}
```

## Response Elements
<a name="API_GetAccountInformation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AccountCreatedDate](#API_GetAccountInformation_ResponseSyntax) **   <a name="accounts-GetAccountInformation-response-AccountCreatedDate"></a>
The date and time the account was created.  
Type: Timestamp

 ** [AccountId](#API_GetAccountInformation_ResponseSyntax) **   <a name="accounts-GetAccountInformation-response-AccountId"></a>
Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
This operation can only be called from the management account or the delegated administrator account of an organization for a member account.  
The management account can't specify its own `AccountId`.
Type: String  
Pattern: `\d{12}` 

 ** [AccountName](#API_GetAccountInformation_ResponseSyntax) **   <a name="accounts-GetAccountInformation-response-AccountName"></a>
The name of the account.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Pattern: `[ -;=?-~]+` 

## Errors
<a name="API_GetAccountInformation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## Examples
<a name="API_GetAccountInformation_Examples"></a>

### Example 1
<a name="API_GetAccountInformation_Example_1"></a>

The following example retrieves the account information for the account whose credentials are used to call the operation. 

#### Sample Request
<a name="API_GetAccountInformation_Example_1_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetAccountInformation
                    
{}
```

#### Sample Response
<a name="API_GetAccountInformation_Example_1_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
                    
{
   "AccountId": "123456789012",
   "AccountName": "MyAccount",
   "AccountCreatedDate": "2020-11-30T17:44:37Z"
}
```

### Example 2
<a name="API_GetAccountInformation_Example_2"></a>

The following example retrieves the account information for the specified member account in an organization. You must use credentials from either the organization's management account or from the Account Management service's delegated admin account. 

#### Sample Request
<a name="API_GetAccountInformation_Example_2_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetAccountInformation
                    
{
   "AccountId": "123456789012" 
}
```

#### Sample Response
<a name="API_GetAccountInformation_Example_2_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
                    
{
   "AccountId": "123456789012",
   "AccountName": "MyMemberAccount",
   "AccountCreatedDate": "2020-11-30T17:44:37Z"
}
```

## See Also
<a name="API_GetAccountInformation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/GetAccountInformation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/GetAccountInformation) 

# GetAlternateContact
<a name="API_GetAlternateContact"></a>

Retrieves the specified alternate contact attached to an AWS account.

For complete details about how to use the alternate contact operations, see [Update the alternate contacts for your AWS account](https://docs.aws.amazon.com/accounts/latest/reference/manage-acct-update-contact-alternate.html).

**Note**  
Before you can update the alternate contact information for an AWS account that is managed by AWS Organizations, you must first enable integration between AWS Account Management and Organizations. For more information, see [Enable trusted access for AWS Account Management](https://docs.aws.amazon.com/accounts/latest/reference/using-orgs-trusted-access.html).

## Request Syntax
<a name="API_GetAlternateContact_RequestSyntax"></a>

```
POST /getAlternateContact HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "AlternateContactType": "string"
}
```

## URI Request Parameters
<a name="API_GetAlternateContact_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetAlternateContact_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_GetAlternateContact_RequestSyntax) **   <a name="accounts-GetAlternateContact-request-AccountId"></a>
Specifies the 12 digit account ID number of the AWS account that you want to access or modify with this operation.  
If you do not specify this parameter, it defaults to the AWS account of the identity used to call the operation.  
To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account, and the specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/services-that-can-integrate-account.html) enabled for the Account Management service, and optionally a [delegated administrator](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`; it must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, then don't specify this parameter, and call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

 ** [AlternateContactType](#API_GetAlternateContact_RequestSyntax) **   <a name="accounts-GetAlternateContact-request-AlternateContactType"></a>
Specifies which alternate contact you want to retrieve.  
Type: String  
Valid Values: `BILLING | OPERATIONS | SECURITY`   
Required: Yes

## Response Syntax
<a name="API_GetAlternateContact_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AlternateContact": { 
      "AlternateContactType": "string",
      "EmailAddress": "string",
      "Name": "string",
      "PhoneNumber": "string",
      "Title": "string"
   }
}
```

## Response Elements
<a name="API_GetAlternateContact_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AlternateContact](#API_GetAlternateContact_ResponseSyntax) **   <a name="accounts-GetAlternateContact-response-AlternateContact"></a>
A structure that contains the details for the specified alternate contact.  
Type: [AlternateContact](API_AlternateContact.md) object

## Errors
<a name="API_GetAlternateContact_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The operation failed because it specified a resource that can't be found.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 404

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## Examples
<a name="API_GetAlternateContact_Examples"></a>

### Example 1
<a name="API_GetAlternateContact_Example_1"></a>

The following example retrieves the security alternate contact for the account whose credentials are used to call the operation. 

#### Sample Request
<a name="API_GetAlternateContact_Example_1_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetAlternateContact

{
   "AlternateContactType":"SECURITY"
}
```

#### Sample Response
<a name="API_GetAlternateContact_Example_1_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json

{
   "AlternateContact":{
      "Name":"Anika",
      "Title":"COO",
      "EmailAddress":"anika@example.com",
      "PhoneNumber":"206-555-0198",
      "AlternateContactType":"Security"
   }
}
```

### Example 2
<a name="API_GetAlternateContact_Example_2"></a>

The following example retrieves the operations alternate contact for the specified member account in an organization. You must use credentials from either the organization's management account or from the Account Management service's delegated admin account.

#### Sample Request
<a name="API_GetAlternateContact_Example_2_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetAlternateContact

{
   "AccountId":"123456789012",
   "AlternateContactType":"Operations"
}
```

#### Sample Response
<a name="API_GetAlternateContact_Example_2_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json

{
   "AlternateContact":{
      "Name":"Anika",
      "Title":"COO",
      "EmailAddress":"anika@example.com",
      "PhoneNumber":"206-555-0198",
      "AlternateContactType":"Operations"
   }
}
```

## See Also
<a name="API_GetAlternateContact_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/GetAlternateContact) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/GetAlternateContact) 

# GetContactInformation
<a name="API_GetContactInformation"></a>

Retrieves the primary contact information of an AWS account.

For complete details about how to use the primary contact operations, see [Update the primary contact for your AWS account](https://docs.aws.amazon.com/accounts/latest/reference/manage-acct-update-contact-primary.html).

## Request Syntax
<a name="API_GetContactInformation_RequestSyntax"></a>

```
POST /getContactInformation HTTP/1.1
Content-type: application/json

{
   "AccountId": "string"
}
```

## URI Request Parameters
<a name="API_GetContactInformation_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetContactInformation_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_GetContactInformation_RequestSyntax) **   <a name="accounts-GetContactInformation-request-AccountId"></a>
Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. If you don't specify this parameter, it defaults to the Amazon Web Services account of the identity used to call the operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`. It must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, don't specify this parameter. Instead, call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

## Response Syntax
<a name="API_GetContactInformation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ContactInformation": { 
      "AddressLine1": "string",
      "AddressLine2": "string",
      "AddressLine3": "string",
      "City": "string",
      "CompanyName": "string",
      "CountryCode": "string",
      "DistrictOrCounty": "string",
      "FullName": "string",
      "PhoneNumber": "string",
      "PostalCode": "string",
      "StateOrRegion": "string",
      "WebsiteUrl": "string"
   }
}
```

## Response Elements
<a name="API_GetContactInformation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ContactInformation](#API_GetContactInformation_ResponseSyntax) **   <a name="accounts-GetContactInformation-response-ContactInformation"></a>
Contains the details of the primary contact information associated with an AWS account.  
Type: [ContactInformation](API_ContactInformation.md) object

## Errors
<a name="API_GetContactInformation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The operation failed because it specified a resource that can't be found.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 404

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## See Also
<a name="API_GetContactInformation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/GetContactInformation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/GetContactInformation) 

# GetGovCloudAccountInformation
<a name="API_GetGovCloudAccountInformation"></a>

Retrieves information about the GovCloud account linked to the specified standard account (if it exists) including the GovCloud account ID and state. To use this API, an IAM user or role must have the `account:GetGovCloudAccountInformation` IAM permission. 

## Request Syntax
<a name="API_GetGovCloudAccountInformation_RequestSyntax"></a>

```
POST /getGovCloudAccountInformation HTTP/1.1
Content-type: application/json

{
   "StandardAccountId": "string"
}
```

## URI Request Parameters
<a name="API_GetGovCloudAccountInformation_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetGovCloudAccountInformation_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [StandardAccountId](#API_GetGovCloudAccountInformation_RequestSyntax) **   <a name="accounts-GetGovCloudAccountInformation-request-StandardAccountId"></a>
Specifies the 12 digit account ID number of the AWS account that you want to access or modify with this operation.  
If you do not specify this parameter, it defaults to the AWS account of the identity used to call the operation.  
To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account, and the specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/services-that-can-integrate-account.html) enabled for the Account Management service, and optionally a [delegated administrator](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`; it must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, then don't specify this parameter, and call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

## Response Syntax
<a name="API_GetGovCloudAccountInformation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AccountState": "string",
   "GovCloudAccountId": "string"
}
```

## Response Elements
<a name="API_GetGovCloudAccountInformation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AccountState](#API_GetGovCloudAccountInformation_ResponseSyntax) **   <a name="accounts-GetGovCloudAccountInformation-response-AccountState"></a>
The account state of the linked GovCloud account.  
Type: String  
Valid Values: `PENDING_ACTIVATION | ACTIVE | SUSPENDED | CLOSED` 

 ** [GovCloudAccountId](#API_GetGovCloudAccountInformation_ResponseSyntax) **   <a name="accounts-GetGovCloudAccountInformation-response-GovCloudAccountId"></a>
The 12-digit account ID number of the linked GovCloud account.  
Type: String  
Pattern: `\d{12}` 

## Errors
<a name="API_GetGovCloudAccountInformation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The operation failed because it specified a resource that can't be found.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 404

 ** ResourceUnavailableException **   
The operation failed because it specified a resource that is not currently available.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 424

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## Examples
<a name="API_GetGovCloudAccountInformation_Examples"></a>

### Example 1
<a name="API_GetGovCloudAccountInformation_Example_1"></a>

The following example retrieves the linked GovCloud account information for the account whose credentials are used to call the operation. 

#### Sample Request
<a name="API_GetGovCloudAccountInformation_Example_1_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetGovCloudAccountInformation
                    
{}
```

#### Sample Response
<a name="API_GetGovCloudAccountInformation_Example_1_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
                    
{
   "GovCloudAccountId": "123456789012",
   "AccountState": "ACTIVE"
}
```

### Example 2
<a name="API_GetGovCloudAccountInformation_Example_2"></a>

The following example retrieves the linked GovCloud account information for the specified member account in an organization. You must use credentials from either the organization's management account or from the Account Management service's delegated admin account. 

#### Sample Request
<a name="API_GetGovCloudAccountInformation_Example_2_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetGovCloudAccountInformation
                    
{
   "StandardAccountId": "111111111111" 
}
```

#### Sample Response
<a name="API_GetGovCloudAccountInformation_Example_2_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
                    
{
   "GovCloudAccountId": "123456789012",
   "AccountState": "ACTIVE"
}
```

### Example 3
<a name="API_GetGovCloudAccountInformation_Example_3"></a>

The following example attempts to retrieve the linked GovCloud account information for a standard account that is not linked to a GovCloud account. 

#### Sample Request
<a name="API_GetGovCloudAccountInformation_Example_3_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetGovCloudAccountInformation
                    
{
   "StandardAccountId": "222222222222" 
}
```

#### Sample Response
<a name="API_GetGovCloudAccountInformation_Example_3_Response"></a>

```
HTTP/1.1 404
Content-Type: application/json
                    
{
   "message":"GovCloud Account ID not found for Standard Account - 222222222222."
}
```

## See Also
<a name="API_GetGovCloudAccountInformation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/GetGovCloudAccountInformation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/GetGovCloudAccountInformation) 

# GetPrimaryEmail
<a name="API_GetPrimaryEmail"></a>

Retrieves the primary email address for the specified account.

## Request Syntax
<a name="API_GetPrimaryEmail_RequestSyntax"></a>

```
POST /getPrimaryEmail HTTP/1.1
Content-type: application/json

{
   "AccountId": "string"
}
```

## URI Request Parameters
<a name="API_GetPrimaryEmail_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetPrimaryEmail_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_GetPrimaryEmail_RequestSyntax) **   <a name="accounts-GetPrimaryEmail-request-AccountId"></a>
Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
This operation can only be called from the management account or the delegated administrator account of an organization for a member account.  
The management account can't specify its own `AccountId`.
Type: String  
Pattern: `\d{12}`   
Required: Yes

## Response Syntax
<a name="API_GetPrimaryEmail_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "PrimaryEmail": "string"
}
```

## Response Elements
<a name="API_GetPrimaryEmail_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [PrimaryEmail](#API_GetPrimaryEmail_ResponseSyntax) **   <a name="accounts-GetPrimaryEmail-response-PrimaryEmail"></a>
Retrieves the primary email address associated with the specified account.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 64.

## Errors
<a name="API_GetPrimaryEmail_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The operation failed because it specified a resource that can't be found.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 404

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## See Also
<a name="API_GetPrimaryEmail_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/GetPrimaryEmail) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/GetPrimaryEmail) 

# GetRegionOptStatus
<a name="API_GetRegionOptStatus"></a>

Retrieves the opt-in status of a particular Region.

## Request Syntax
<a name="API_GetRegionOptStatus_RequestSyntax"></a>

```
POST /getRegionOptStatus HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "RegionName": "string"
}
```

## URI Request Parameters
<a name="API_GetRegionOptStatus_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetRegionOptStatus_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_GetRegionOptStatus_RequestSyntax) **   <a name="accounts-GetRegionOptStatus-request-AccountId"></a>
Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. If you don't specify this parameter, it defaults to the Amazon Web Services account of the identity used to call the operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`. It must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, don't specify this parameter. Instead, call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

 ** [RegionName](#API_GetRegionOptStatus_RequestSyntax) **   <a name="accounts-GetRegionOptStatus-request-RegionName"></a>
Specifies the Region-code for a given Region name (for example, `af-south-1`). This function will return the status of whatever Region you pass into this parameter.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Required: Yes

## Response Syntax
<a name="API_GetRegionOptStatus_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "RegionName": "string",
   "RegionOptStatus": "string"
}
```

## Response Elements
<a name="API_GetRegionOptStatus_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [RegionName](#API_GetRegionOptStatus_ResponseSyntax) **   <a name="accounts-GetRegionOptStatus-response-RegionName"></a>
The Region code that was passed in.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.

 ** [RegionOptStatus](#API_GetRegionOptStatus_ResponseSyntax) **   <a name="accounts-GetRegionOptStatus-response-RegionOptStatus"></a>
One of the potential statuses a Region can undergo (Enabled, Enabling, Disabled, Disabling, Enabled\$1By\$1Default).  
Type: String  
Valid Values: `ENABLED | ENABLING | DISABLING | DISABLED | ENABLED_BY_DEFAULT` 

## Errors
<a name="API_GetRegionOptStatus_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## See Also
<a name="API_GetRegionOptStatus_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/GetRegionOptStatus) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/GetRegionOptStatus) 

# ListRegions
<a name="API_ListRegions"></a>

Lists all the Regions for a given account and their respective opt-in statuses. Optionally, this list can be filtered by the `region-opt-status-contains` parameter. 

## Request Syntax
<a name="API_ListRegions_RequestSyntax"></a>

```
POST /listRegions HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "MaxResults": number,
   "NextToken": "string",
   "RegionOptStatusContains": [ "string" ]
}
```

## URI Request Parameters
<a name="API_ListRegions_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListRegions_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_ListRegions_RequestSyntax) **   <a name="accounts-ListRegions-request-AccountId"></a>
Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. If you don't specify this parameter, it defaults to the Amazon Web Services account of the identity used to call the operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`. It must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, don't specify this parameter. Instead, call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

 ** [MaxResults](#API_ListRegions_RequestSyntax) **   <a name="accounts-ListRegions-request-MaxResults"></a>
The total number of items to return in the command’s output. If the total number of items available is more than the value specified, a `NextToken` is provided in the command’s output. To resume pagination, provide the `NextToken` value in the `starting-token` argument of a subsequent command. Do not use the `NextToken` response element directly outside of the AWS CLI. For usage examples, see [Pagination](http://docs.aws.amazon.com/cli/latest/userguide/pagination.html) in the * AWS Command Line Interface User Guide*.   
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 50.  
Required: No

 ** [NextToken](#API_ListRegions_RequestSyntax) **   <a name="accounts-ListRegions-request-NextToken"></a>
A token used to specify where to start paginating. This is the `NextToken` from a previously truncated response. For usage examples, see [Pagination](http://docs.aws.amazon.com/cli/latest/userguide/pagination.html) in the * AWS Command Line Interface User Guide*.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1000.  
Required: No

 ** [RegionOptStatusContains](#API_ListRegions_RequestSyntax) **   <a name="accounts-ListRegions-request-RegionOptStatusContains"></a>
A list of Region statuses (Enabling, Enabled, Disabling, Disabled, Enabled\$1by\$1default) to use to filter the list of Regions for a given account. For example, passing in a value of ENABLING will only return a list of Regions with a Region status of ENABLING.  
Type: Array of strings  
Valid Values: `ENABLED | ENABLING | DISABLING | DISABLED | ENABLED_BY_DEFAULT`   
Required: No

## Response Syntax
<a name="API_ListRegions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "NextToken": "string",
   "Regions": [ 
      { 
         "RegionName": "string",
         "RegionOptStatus": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListRegions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [NextToken](#API_ListRegions_ResponseSyntax) **   <a name="accounts-ListRegions-response-NextToken"></a>
If there is more data to be returned, this will be populated. It should be passed into the `next-token` request parameter of `list-regions`.  
Type: String

 ** [Regions](#API_ListRegions_ResponseSyntax) **   <a name="accounts-ListRegions-response-Regions"></a>
This is a list of Regions for a given account, or if the filtered parameter was used, a list of Regions that match the filter criteria set in the `filter` parameter.  
Type: Array of [Region](API_Region.md) objects

## Errors
<a name="API_ListRegions_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## See Also
<a name="API_ListRegions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/ListRegions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/ListRegions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/ListRegions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/ListRegions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/ListRegions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/ListRegions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/ListRegions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/ListRegions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/ListRegions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/ListRegions) 

# PutAccountName
<a name="API_PutAccountName"></a>

Updates the account name of the specified account. To use this API, IAM principals must have the `account:PutAccountName` IAM permission. 

## Request Syntax
<a name="API_PutAccountName_RequestSyntax"></a>

```
POST /putAccountName HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "AccountName": "string"
}
```

## URI Request Parameters
<a name="API_PutAccountName_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_PutAccountName_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_PutAccountName_RequestSyntax) **   <a name="accounts-PutAccountName-request-AccountId"></a>
Specifies the 12 digit account ID number of the AWS account that you want to access or modify with this operation.  
If you do not specify this parameter, it defaults to the AWS account of the identity used to call the operation.  
To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account, and the specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/services-that-can-integrate-account.html) enabled for the Account Management service, and optionally a [delegated administrator](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`; it must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, then don't specify this parameter, and call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

 ** [AccountName](#API_PutAccountName_RequestSyntax) **   <a name="accounts-PutAccountName-request-AccountName"></a>
The name of the account.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Pattern: `[ -;=?-~]+`   
Required: Yes

## Response Syntax
<a name="API_PutAccountName_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_PutAccountName_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_PutAccountName_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## Examples
<a name="API_PutAccountName_Examples"></a>

### Example 1
<a name="API_PutAccountName_Example_1"></a>

The following example updates the name for the account whose credentials are used to call the operation. 

#### Sample Request
<a name="API_PutAccountName_Example_1_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.PutAccountName
                    
{
   "AccountName":"MyAccount"
}
```

#### Sample Response
<a name="API_PutAccountName_Example_1_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
```

### Example 2
<a name="API_PutAccountName_Example_2"></a>

The following example updates the account name for the specified member account in an organization. You must use credentials from either the organization's management account or from the Account Management service's delegated admin account. 

#### Sample Request
<a name="API_PutAccountName_Example_2_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.PutAccountName
                    
{
   "AccountId": "123456789012",
   "AccountName": "MyMemberAccount"
}
```

#### Sample Response
<a name="API_PutAccountName_Example_2_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
```

## See Also
<a name="API_PutAccountName_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/account-2021-02-01/PutAccountName) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/account-2021-02-01/PutAccountName) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/account-2021-02-01/PutAccountName) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/account-2021-02-01/PutAccountName) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/account-2021-02-01/PutAccountName) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/account-2021-02-01/PutAccountName) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/account-2021-02-01/PutAccountName) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/account-2021-02-01/PutAccountName) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/account-2021-02-01/PutAccountName) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/account-2021-02-01/PutAccountName) 

# PutAlternateContact
<a name="API_PutAlternateContact"></a>

Modifies the specified alternate contact attached to an AWS account.

For complete details about how to use the alternate contact operations, see [Update the alternate contacts for your AWS account](https://docs.aws.amazon.com/accounts/latest/reference/manage-acct-update-contact-alternate.html).

**Note**  
Before you can update the alternate contact information for an AWS account that is managed by AWS Organizations, you must first enable integration between AWS Account Management and Organizations. For more information, see [Enable trusted access for AWS Account Management](https://docs.aws.amazon.com/accounts/latest/reference/using-orgs-trusted-access.html).

## Request Syntax
<a name="API_PutAlternateContact_RequestSyntax"></a>

```
POST /putAlternateContact HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "AlternateContactType": "string",
   "EmailAddress": "string",
   "Name": "string",
   "PhoneNumber": "string",
   "Title": "string"
}
```

## URI Request Parameters
<a name="API_PutAlternateContact_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_PutAlternateContact_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_PutAlternateContact_RequestSyntax) **   <a name="accounts-PutAlternateContact-request-AccountId"></a>
Specifies the 12 digit account ID number of the AWS account that you want to access or modify with this operation.  
If you do not specify this parameter, it defaults to the AWS account of the identity used to call the operation.  
To use this parameter, the caller must be an identity in the [organization's management account](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account, and the specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.aws.amazon.com/organizations/latest/userguide/services-that-can-integrate-account.html) enabled for the Account Management service, and optionally a [delegated administrator](https://docs.aws.amazon.com/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`; it must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, then don't specify this parameter, and call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

 ** [AlternateContactType](#API_PutAlternateContact_RequestSyntax) **   <a name="accounts-PutAlternateContact-request-AlternateContactType"></a>
Specifies which alternate contact you want to create or update.  
Type: String  
Valid Values: `BILLING | OPERATIONS | SECURITY`   
Required: Yes

 ** [EmailAddress](#API_PutAlternateContact_RequestSyntax) **   <a name="accounts-PutAlternateContact-request-EmailAddress"></a>
Specifies an email address for the alternate contact.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 254.  
Pattern: `[\s]*[\w+=.#|!&-]+@[\w.-]+\.[\w]+[\s]*`   
Required: Yes

 ** [Name](#API_PutAlternateContact_RequestSyntax) **   <a name="accounts-PutAlternateContact-request-Name"></a>
Specifies a name for the alternate contact.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Required: Yes

 ** [PhoneNumber](#API_PutAlternateContact_RequestSyntax) **   <a name="accounts-PutAlternateContact-request-PhoneNumber"></a>
Specifies a phone number for the alternate contact.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 25.  
Pattern: `[\s0-9()+-]+`   
Required: Yes

 ** [Title](#API_PutAlternateContact_RequestSyntax) **   <a name="accounts-PutAlternateContact-request-Title"></a>
Specifies a title for the alternate contact.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Required: Yes

## Response Syntax
<a name="API_PutAlternateContact_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_PutAlternateContact_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_PutAlternateContact_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to AWS. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## Examples
<a name="API_PutAlternateContact_Examples"></a>

### Example 1
<a name="API_PutAlternateContact_Example_1"></a>

[...]
